Retrieve file
Return information about a specific file.
Authorization[Bearer <token>]
In: header
Path Parameters
file_id[File Id]
The ID of the file to use for this request.
Match
^[0-9a-fA-F]{24}$Header Parameters
OpenAI-Organization?[Openai-Organization]
Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.
OpenAI-Project?[Openai-Project]
Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization
Response Body
curl -X GET "https://deepfellow-server-host/v1/files/5eb7cf5a86d9755df3a6c593" \ -H "OpenAI-Organization: string" \ -H "OpenAI-Project: string"{
"id": "5eb7cf5a86d9755df3a6c593",
"project_id": "5eb7cf5a86d9755df3a6c593",
"object": "file",
"bytes": 0,
"filename": "string",
"purpose": "assistants",
"created_at": 0,
"expires_at": 0,
"extracted_metadata": {
"property1": "string",
"property2": "string"
},
"summary": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.